100 REMark - Make module for French Belgian keyboard
110 :
120 fch = FOP_OVER (win1_keybbe_rext)
130 :
140 WPUT #fch, $7030, $43FA, $6, $4E41, $4E75
150 ldm_link = 0    : REMark no language dependent links yet
160 :
170 make_ldm 0,0, 32, ldm_link, be_pref   : REMark - set up LDM preference header
180 make_ldm 1,0, 32, ldm_link, be_kbd    : REMark - set up LDM keyboard header
190 :
200 set_ldm_pointer be_pref                : REMark - set pointer to pref table
210 BPUT #fch, 'BE  '                      : REMark - set modified car registration
220 WPUT #fch, 32,32,0                     : REMark - and preferences
230 :
240 set_kbd_header be_kbd, 32,512         : REMark - set IBM PC size keyboard
250 :
260 REMark Minuscules (sans shift)
270 :
280   BPUT #fch,   0,$1B,'&','','"',"'",'(','','','!','','',')','-',$C2
290   BPUT #fch, $9,'a','z','e','r','t','y','u','i','o','p',$8E,'$',$A
300   BPUT #fch, 0,'q','s','d','f','g','h','j','k','l','m',$9A
310   BPUT #fch, '_', 0,''
320   BPUT #fch, 'w','x','c','v','b','n',',',';',':','='
330   BPUT #fch, 0,'',0,' '
340   BPUT #fch, $E0,$E8,$EC,$F0,$F4,$F8
350   BPUT #fch, $EA,$EE,$F2,$F6,$FA,0,$F9
360   BPUT #fch, '7','8','9','-','4','5','6','+','1','2','3','0','.'
370   BPUT #fch, 0,  0,'<', 0, 0,  0,  0,  0,  0,  0,  0,  0
380   BPUT #fch,   0,  0,  0,  0,  0,  0,  0,$D5,$D0,$D4,  0,$C0,  0,$C8,  0,$DD
390   BPUT #fch, $D8,$DC,$EB,$CA,  0,'/',  0,  0,  0,  0,  0,  0,$A,  0,  0,  0
400 :
410 REMark Majuscules (avec shift)
420 :
430   BPUT #fch,   0,'','1','2','3','4','5','6','7','8','9','0','','_',$C6
440   BPUT #fch, $FD,'A','Z','E','R','T','Y','U','I','O','P',$80,'*',$FE
450   BPUT #fch, 0,'Q','S','D','F','G','H','J','K','L','M','%'
460   BPUT #fch, $7F,0,$60
470   BPUT #fch, 'W','X','C','V','B','N','?','.','/','+'
480   BPUT #fch, 0, 0,  0,$FC
490   BPUT #fch, $E4,$EA,$EE,$F2,$F6,$FA
500   BPUT #fch, $E8,$EC,$F0,$F4,$F8,0,$F9
510   BPUT #fch, '7','8','9','-','4','5','6','+','1','2','3','0','.'
520   BPUT #fch, 0,  0,'>', 0, 0,  0,  0,  0,  0,  0,  0,  0
530   BPUT #fch,   0,  0,  0,  0,  0,  0,  0,$D5,$D4,$D4,  0,$C4,  0,$CC,  0,$D4
540   BPUT #fch, $DC,$DC,$EB,$CE,  0,'/',  0,  0,  0,  0,  0,  0,$FE,  0,  0,  0
550 :
560 REMark Touches avec CTRL
570 :
580   BPUT #fch, $FF,'','|','@','#', 0, 0,$5E, 0, 0,'{','}', 0, 0, $C6
590   BPUT #fch, $9,$1,$1A,$5,$12,$14,$19,$15,$9,$F,$10,'[',']',$FE
600   BPUT #fch, 0,$11,$13,$4,$6,$7,$8,$A,$B,$C,$D,0
610   BPUT #fch, $80, 0, $60
620   BPUT #fch, $17,$18,$3,$16,$2,$E,0,0,0,$7E
630   BPUT #fch, 0,0,0, $FF
640   BPUT #fch, $E2,$E9,$ED,$F1,$F5,$F9
650   BPUT #fch, $EB,$EF,$F3,$F7,$FB,0,$F9
660   BPUT #fch, '7','8','9','-','4','5','6','+','1','2','3','0','.'
670   BPUT #fch, 0,  0,'\', 0, 0,  0,  0,  0,  0,  0,  0,  0
680   BPUT #fch,   0,  0,  0,  0,  0,  0,  0,$D5,$D2,$D6,  0,$C2,  0,$CA,  0,$DD
690   BPUT #fch, $DA,$DE,$EB,$CA,  0,'/',  0,  0,  0,  0,  0,  0,$A,  0,  0,  0
700 :
710 REMark Touches avec CTRL shift
720 :
730   BPUT #fch, $FF,$1F,'','','','','',$BE,'','','','','','',$C6
740   BPUT #fch, $FD,$A1,$BA,$A5,$B2,'','',$B5,'','','',$1B,$1D,$FE
750   BPUT #fch, 0,$B1,$B3,'',$A6,'','',$AA,'','',$AD,0
760   BPUT #fch, $1F,  0, $60
770   BPUT #fch, $B7,'','','','',$AE,0,0,0,0
780   BPUT #fch,  0,0,0,' '
790   BPUT #fch,  $E6,$EB,$EF,$F3,$F7,$FB
800   BPUT #fch, $EB,$EF,$F3,$F7,$FB,0,$F9
810   BPUT #fch, '7','8','9','-','4','5','6','+','1','2','3','0','.'
820   BPUT #fch, 0,  0,'\', 0, 0,  0,  0,  0,  0,  0,  0,  0
830   BPUT #fch,   0,  0,  0,  0,  0,  0,  0,$D5,$D6,$D6,  0,$C6,  0,$CE,  0,$DD
840   BPUT #fch, $DE,$DE,$EB,$CE,  0,'/',  0,  0,  0,  0,  0,  0,$FE,  0,  0,  0
850 :
860 REMark Reste des touches
870 :
880 BPUT #fch, FILL$(CHR$(0),128)
890 BPUT #fch, $C
900 BPUT #fch, FILL$(CHR$(0),13)
910 BPUT #fch, $18
920 BPUT #fch, FILL$(CHR$(0),113)
930 BPUT #fch, 'aeiouAEIOU ',0
940 BPUT #fch, $80,$8F,$92,$84,$87,$A0,$45,$49,$A4,$A7,' ',0
950 BPUT #fch, $8E,$91,$95,$98,$9B,'AEIOU',$5E,0
960 :
970 :
980 :
990 CLOSE #fch
1000 :
1010 :
1020 :
1030 DEFine PROCedure make_ldm (type, group, lang, link, pointer)
1040   LOCal old_link
1050   old_link = link
1060   link = FPOS (#fch)
1070   IF old_link: WPUT #fch\old_link, link-old_link : REMark - fill in old link
1080   WPUT #fch\link, type, group, lang     : REMark - fill in type of LDM
1090   pointer = link + 2          : REMark - link is updated and so is pointer
1100 :
1110   WPUT #fch\(link), 0,0,0               : REMark - fill in blanks but
1120 :                                       : REMark - do not change value of link
1130 END DEFine make_ldm
1140 :
1150 DEFine PROCedure set_ldm_pointer (pointer)
1160   LOCal here
1170   here = FPOS (#fch)
1180   LPUT #fch\(pointer), here-pointer     : REMark - set relative pointer
1190   BPUT #fch\(here)                      : REMark - and reset file pointer
1200 END DEFine set_ldm_pointer
1210 :
1220 DEFine PROCedure set_kbd_header (pointer, lang, size)
1230   set_ldm_pointer pointer
1240   WPUT #fch, lang, 4, size+2            : REMark - keyboard table follows
1250 END DEFine set_kbd_header
1260 :
